Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputStoryContentVideo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputStoryContent
it.tdlight.jni.TdApi.InputStoryContentVideo

Enclosing class:
  TdApi

public static final class TdApi.InputStoryContentVideo extends TdApi.InputStoryContent
A video story.

## Field Summary

Fields
Modifier and Type
Field
Description
`int[]`
`addedStickerFileIds`
File identifiers of the stickers added to the video, if applicable.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`double`
`duration`
Precise duration of the video, in seconds; 0-60.
`boolean`
`isAnimation`
True, if the video has no sound.
`TdApi.InputFile`
`video`
Video to be sent.

## Constructor Summary

Constructors
Constructor
Description
`InputStoryContentVideo()`
A video story.
`InputStoryContentVideo(TdApi.InputFile video, int[] addedStickerFileIds, double duration, boolean isAnimation)`
A video story.
`InputStoryContentVideo(DataInput input)`
A video story.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### video

public TdApi.InputFile video
Video to be sent. The video size must be 720x1280. The video must be streamable and stored in MPEG4 format, after encoding with x265 codec and key frames added each second.

### addedStickerFileIds

public int[] addedStickerFileIds
File identifiers of the stickers added to the video, if applicable.

### duration

public double duration
Precise duration of the video, in seconds; 0-60.

### isAnimation

public boolean isAnimation
True, if the video has no sound.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### InputStoryContentVideo

public InputStoryContentVideo()
A video story.

### InputStoryContentVideo

public InputStoryContentVideo(TdApi.InputFile video, int[] addedStickerFileIds, double duration, boolean isAnimation)
A video story.

Parameters:
  `video` - Video to be sent. The video size must be 720x1280. The video must be streamable and stored in MPEG4 format, after encoding with x265 codec and key frames added each second.
  `addedStickerFileIds` - File identifiers of the stickers added to the video, if applicable.
  `duration` - Precise duration of the video, in seconds; 0-60.
  `isAnimation` - True, if the video has no sound.

### InputStoryContentVideo

public InputStoryContentVideo(DataInput input) throws IOException
A video story.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`